Bug 171175 - PAM patches to /bin/su calls pam_setcred after environment copy
Summary: PAM patches to /bin/su calls pam_setcred after environment copy
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coreutils   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Graner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 150056
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-19 02:57 UTC by Craig Lawson
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 18:52:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Craig Lawson 2005-10-19 02:57:20 UTC
Description of problem:
pam_setcred gives the service modules a chance to set environment variables with
pam_putenv. On successful operation, the appplication may then copy the
accumulated PAM environment variables to the process environment with putenv(3).
login performs the environment copy after pam_open_session and pam_setcred have
been called. In contrast, su does it after pam_open_session but *before*
pam_setcred, and this is incorrect.

Version-Release number of selected component (if applicable):
coreutils-4.5.3-28

How reproducible:
100%

Additional info:
The PAM functionality is added to the GNU su.c with coreutils-4.5.2-pam.patch.
My platform is actually on WS 3.0.

Comment 1 Craig Lawson 2005-10-19 02:57:58 UTC
See related bug 150056

Comment 2 RHEL Product and Program Management 2007-10-19 18:52:37 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.